<div style="text-align: center;">
    <img class="responsive-img" style="width: 250px;" src="assets/logo.png" />

    <div class="section"></div>

    <h5 class="indigo-text">LOGIN</h5>
    <div class="section"></div>

    <div class="container">
        <div class="z-depth-1 grey lighten-4 row" style="display: inline-block; padding: 32px 48px 0px 48px; border: 1px solid #EEE;">

            <form [formGroup]="formGroup" class="col s12">
                <div class='row'>
                    <div class='col s12'>
                    </div>
                </div>

                <div class='row'>
                    <div class='input-field col s12'>
                        <input [ngClass]="{'focus': formGroup.get('email').touched && formGroup.get('email').invalid }" class='validate' type='email' name='email' id='email' formControlName="email" />
                        <label [ngClass]="{'error': formGroup.get('email').touched && formGroup.get('email').invalid }" for='email'>Ingresa tu email</label>
                    </div>
                </div>

                <div class='row'>
                    <div class='input-field col s12'>
                        <input [ngClass]="{'focus': formGroup.get('password').touched && formGroup.get('password').invalid }" class='validate' type='password' name='password' id='password' formControlName="password" />
                        <label [ngClass]="{'error': formGroup.get('password').touched && formGroup.get('password').invalid }" for='password'>Ingresa tu contraseña</label>
                    </div>
                </div>

                <br />

                <div class='row'>
                    <button type='submit' name='btn_login' class='col s12 btn btn-large waves-effect indigo' (click)="onSubmit()" [disabled]="formGroup.invalid">Entrar</button>
                </div>

            </form>
        </div>
    </div>
    <a href="#newClient" class=" modal-trigger">Crear cuenta</a>
</div>

<div id="newClient" class="modal">
    <div class="modal-content">

        <form [formGroup]="clientGroup">
            <div class="col s12" style="text-align: center;">
                Nuevo cliente
            </div>
            <hr>
            <div class="row">
                <div class="input-field col s12">
                    <input [ngClass]="{'focus': clientGroup.get('nombreCompleto').touched && clientGroup.get('nombreCompleto').invalid }" id="nombreCompleto" type="text" class="validate" formControlName="nombreCompleto">
                    <label for="nombreCompleto">Nombre completo</label>
                </div>
                <div class="input-field col s12">
                    <textarea [ngClass]="{'focus': clientGroup.get('direccion').touched && clientGroup.get('direccion').invalid }" id="direccion" class="materialize-textarea" formControlName="direccion"></textarea>
                    <label for="direccion">Dirección</label>
                </div>

                <div class="input-field col s6">
                    <input [ngClass]="{'focus': clientGroup.get('edad').touched && clientGroup.get('edad').invalid }" id="edad" type="text" class="validate" formControlName="edad">
                    <label for="edad">Edad</label>
                </div>

                <div class="input-field col s6">
                    <span for="genero">Genero</span>
                    <select [ngClass]="{'focus': clientGroup.get('genero').touched && clientGroup.get('genero').invalid }" class="browser-default" name="accounts" id="genero" formControlName="genero">
                        <option value="1">Masculino</option>
                        <option value="2">Femenino</option>
                    </select>
                </div>
            </div>


        </form>


    </div>
    <div class="modal-footer">
        <a class="modal-close waves-effect waves-green btn-flat">Cerrar</a>
        <button class="waves-effect waves-green btn-flat ngc" (click)="createClient()" [disabled]="clientGroup.invalid">Aceptar</button>

    </div>
</div>